No relevant resource is found in the selected language.

This site uses cookies. By continuing to browse the site you are agreeing to our use of cookies. Read our privacy policy>

Reminder

To have a better experience, please upgrade your IE browser.

upgrade

The SP32 Patch Cannot Be Installed Because the SP27 Is Not Installed

Publication Date:  2012-07-25 Views:  45 Downloads:  0
Issue Description
The N2000 BMS version is V200R008B02D061 SP31. Installing the SP32 patch fails and the system displays a message indicating that the patch cannot be installed because the dependent version is not installed. 
Alarm Information
The patch cannot be installed because the dependent version is not installed. 
Handling Process
1. Read the patch description. The SP32 patch can be applied to the following patches:
iManager N2000 BMS V200R008B02D061SP27
iManager N2000 BMS V200R008B02D061SP27J05
iManager N2000 BMS V200R008B02D061SP28
iManager N2000 BMS V200R008B02D061SP30
iManager N2000 BMS V200R008B02D061SP31
The SP32 patch can be directly installed on the patches listed above.
2. View the patch log. The SP27 patch is not found. Therefore, the SP32 patch cannot be installed.
# more patch_V200R008B02D061SP32.log
execute /var/tmp/patch/V200R008B02D061SP32_Server/install/checkversion_server
Check the basic version of the patch
Error: Before install this patch, please first install one of
the following version:
V200R008B02D061SP27
...Failed!
3. Check the records of the patches that have been installed on the N2000 BMS. The SP27 has never been installed.
root@N2000Server-2 # cd /opt/n2000/server/version
root@N2000Server-2 # more bmsversioninfo.cfg
patch.V200R008B02D061
patch.V200R008B02D061SP10.V200R008B02D061
patch.V200R008B02D061SP11.V200R008B02D061
patch.V200R008B02D061SP21.V200R008B02D061
patch.V200R008B02D061SP28.V200R008B02D061
patch.V200R008B02D061SP30.V200R008B02D061
patch.V200R008B02D061SP31.V200R008B02D061SP30
4. When you install the SP32 patch, the program checks the bmsversioninfo.cfg file for the SP27 installation record. If the SP27 installation record does not exist, the SP32 patch cannot be installed.
5. The SP28 patch (includes the contents of the SP27 patch) has been installed on the N2000 BMS. Therefore, you only need to add an SP27 installation record to the bmsversioninfo.cfg file and save the modification. Then you can install the SP32 patch.
....
patch.V200R008B02D061SP27.V200R008B02D061
patch.V200R008B02D061SP28.V200R008B02D061
patch.V200R008B02D061SP30.V200R008B02D061
patch.V200R008B02D061SP31.V200R008B02D061SP30 
 
Root Cause
Check the inclusion and dependency relations of the patch. 
Suggestions
The N2000 BMS program checks the bmsversioninfo.cfg file for the installed version patches of the N2000 BMS. 

END